Datasets - Get Refresh Schedule
Returns the refresh schedule for the specified semantic model. The semantic model can reside in My workspace or another workspace, provided the caller has the required permissions.
Required Scope
Dataset.ReadWrite.All or Dataset.Read.All
GET https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}/refreshSchedule
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataset
|
path | True |
string |
The dataset ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
Refresh schedule example
Sample request
GET https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/refreshSchedule
Sample response
{
"days": [
"Sunday",
"Friday",
"Saturday"
],
"times": [
"05:00",
"11:30",
"17:30",
"23:00"
],
"enabled": true,
"localTimeZoneId": "UTC",
"notifyOption": "MailOnFailure"
}
Definitions
| Name | Description |
|---|---|
| days |
The days on which to execute the refresh |
|
Refresh |
A Power BI refresh schedule for imported model |
|
Schedule |
The notification option on termination of a scheduled refresh. Service principals only support the |
days
The days on which to execute the refresh
| Value | Description |
|---|---|
| Monday | |
| Tuesday | |
| Wednesday | |
| Thursday | |
| Friday | |
| Saturday | |
| Sunday |
RefreshSchedule
A Power BI refresh schedule for imported model
| Name | Type | Description |
|---|---|---|
| days |
days[] |
The days on which to execute the refresh |
| enabled |
boolean |
Whether the refresh is enabled |
| localTimeZoneId |
string |
The ID of the time zone to use. For more information, see Time zone info. |
| notifyOption |
The notification option on termination of a scheduled refresh. Service principals only support the |
|
| times |
string[] |
The times of day to execute the refresh |
ScheduleNotifyOption
The notification option on termination of a scheduled refresh. Service principals only support the NoNotification value.
| Value | Description |
|---|---|
| NoNotification |
No notification will be sent |
| MailOnFailure |
A mail notification will be sent on refresh failure |